Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8177849

Decide if docs bundle should include platform-specific providers

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: P3
    • Resolution: Won't Fix
    • Affects Version/s: 9
    • Fix Version/s: 10
    • Component/s: infrastructure
    • Labels:
      None

      Description

      There are platform-specific security providers:

      ifeq ($(OPENJDK_TARGET_OS), windows)
        PLATFORM_MODULES += jdk.crypto.mscapi
      endif
      ifeq ($(OPENJDK_TARGET_OS), solaris)
        PLATFORM_MODULES += jdk.crypto.ucrypto
      endif

      They are documented in some security documentation. This issue is to decide if docs bundle should include platform-specific providers.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mchung Mandy Chung
              Reporter:
              mchung Mandy Chung
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: